# Generated by Django 3.2.13 on 2022-10-28 07:05

import django.core.validators
from django.db import migrations, models
import django_better_admin_arrayfield.models.fields
import workflow.mixins


class Migration(migrations.Migration):

    dependencies = [
        ("workflow", "0014_alter_checklisttaskdefinition_interface_type"),
    ]

    operations = [
        migrations.AddField(
            model_name="recurrence",
            name="due_days_no",
            field=models.PositiveIntegerField(
                blank=True,
                default=0,
                help_text="Days after end date the due date will be",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="run",
            name="due_date",
            field=models.DateField(blank=True, null=True, verbose_name="Due date"),
        ),
        migrations.AlterField(
            model_name="recurrence",
            name="reminders",
            field=django_better_admin_arrayfield.models.fields.ArrayField(
                base_field=models.PositiveIntegerField(
                    validators=[django.core.validators.MinValueValidator(1)]
                ),
                blank=True,
                default=workflow.mixins.get_default_reminder_days,
                help_text="Days before due date a reminder should be sent",
                null=True,
                size=None,
            ),
        ),
        migrations.AlterField(
            model_name="run",
            name="reminders",
            field=django_better_admin_arrayfield.models.fields.ArrayField(
                base_field=models.PositiveIntegerField(
                    validators=[django.core.validators.MinValueValidator(1)]
                ),
                blank=True,
                default=workflow.mixins.get_default_reminder_days,
                help_text="Days before due date a reminder should be sent",
                null=True,
                size=None,
            ),
        ),
    ]
